package com.zjrs.zwnw.sxgl.po;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

@TableName(value = "aa01")
public class Aa01PO {
    @TableId
    private Long aaz499;// 综合参数id
    private String subsystype;//  子系统类别
    private String syssubcode;//  可对应到业务组或业务单元引用时，如果有小类，应该在字典名称后面拼接小类代码
    private String aaa001;//  参数类别代码
    private String aaa002;//  参数类别名称
    private String aaa005;//  参数值1
    private String aaa027;//  统筹区编码
    private String aaa104;//  代码可维护标志
    private String aaa105;//  参数值域说明
    private String aae100;//  当前有效标志
    private Long validfrom;//  有效开始时间
    private Long validto;//  有效终止时间
    private String bae006;//  创建机构
    private String bae002;//  创建人
    private Long bae003;//  创建时间

    public Long getAaz499() {
        return aaz499;
    }

    public void setAaz499(Long aaz499) {
        this.aaz499 = aaz499;
    }

    public String getSubsystype() {
        return subsystype;
    }

    public void setSubsystype(String subsystype) {
        this.subsystype = subsystype;
    }

    public String getSyssubcode() {
        return syssubcode;
    }

    public void setSyssubcode(String syssubcode) {
        this.syssubcode = syssubcode;
    }

    public String getAaa001() {
        return aaa001;
    }

    public void setAaa001(String aaa001) {
        this.aaa001 = aaa001;
    }

    public String getAaa002() {
        return aaa002;
    }

    public void setAaa002(String aaa002) {
        this.aaa002 = aaa002;
    }

    public String getAaa005() {
        return aaa005;
    }

    public void setAaa005(String aaa005) {
        this.aaa005 = aaa005;
    }

    public String getAaa027() {
        return aaa027;
    }

    public void setAaa027(String aaa027) {
        this.aaa027 = aaa027;
    }

    public String getAaa104() {
        return aaa104;
    }

    public void setAaa104(String aaa104) {
        this.aaa104 = aaa104;
    }

    public String getAaa105() {
        return aaa105;
    }

    public void setAaa105(String aaa105) {
        this.aaa105 = aaa105;
    }

    public String getAae100() {
        return aae100;
    }

    public void setAae100(String aae100) {
        this.aae100 = aae100;
    }

    public Long getValidfrom() {
        return validfrom;
    }

    public void setValidfrom(Long validfrom) {
        this.validfrom = validfrom;
    }

    public Long getValidto() {
        return validto;
    }

    public void setValidto(Long validto) {
        this.validto = validto;
    }

    public String getBae006() {
        return bae006;
    }

    public void setBae006(String bae006) {
        this.bae006 = bae006;
    }

    public String getBae002() {
        return bae002;
    }

    public void setBae002(String bae002) {
        this.bae002 = bae002;
    }

    public Long getBae003() {
        return bae003;
    }

    public void setBae003(Long bae003) {
        this.bae003 = bae003;
    }
}
